JGraph X 1.3.0.0

## com.mxgraph.model
Class mxIGraphModel.mxAtomicGraphModelChange

    java.lang.Object
      com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Direct Known Subclasses:
  mxGraphModel.mxChildChange, mxGraphModel.mxCollapseChange, mxGraphModel.mxGeometryChange, mxGraphModel.mxRootChange, mxGraphModel.mxStyleChange, mxGraphModel.mxTerminalChange, mxGraphModel.mxValueChange, mxGraphModel.mxVisibleChange

Enclosing interface:
  mxIGraphModel

    public abstract static class mxIGraphModel.mxAtomicGraphModelChange

extends java.lang.Object
implements mxUndoableEdit.mxUndoableChange

Defines the interface for an atomic change of the graph model.

Field Summary
`protected mxIGraphModel` `model` Holds the model where the change happened.

Constructor Summary
`mxIGraphModel.mxAtomicGraphModelChange()` Constructs an empty atomic graph model change.
`mxIGraphModel.mxAtomicGraphModelChange(mxIGraphModel model)` Constructs an atomic graph model change for the given model.

Method Summary
`abstract void` `execute()` Executes the change on the model.
`mxIGraphModel` `getModel()` Returns the model where the change happened.
`void` `setModel(mxIGraphModel model)` Sets the model where the change is to be carried out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### model

    protected mxIGraphModel model

  Holds the model where the change happened.

Constructor Detail

### mxIGraphModel.mxAtomicGraphModelChange

    public mxIGraphModel.mxAtomicGraphModelChange()

  Constructs an empty atomic graph model change.

### mxIGraphModel.mxAtomicGraphModelChange

    public mxIGraphModel.mxAtomicGraphModelChange(mxIGraphModel model)

  Constructs an atomic graph model change for the given model.

Method Detail

### getModel

    public mxIGraphModel getModel()

  Returns the model where the change happened.

### setModel

    public void setModel(mxIGraphModel model)

  Sets the model where the change is to be carried out.

### execute

    public abstract void execute()

  Executes the change on the model.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.